org.apache.ode.bpel.o

## Class OPartnerLink

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OPartnerLink

- All Implemented Interfaces:
    java.io.Serializable

      public class OPartnerLink
      extends OBase

  Compiled representation of a BPEL partnerLink.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OScope` | `declaringScope` Scope in which this partnerLink is declared.
    `boolean` | `initializePartnerRole`
    `java.lang.String` | `myRoleName`
    `javax.wsdl.PortType` | `myRolePortType`
    `java.lang.String` | `name` partnerLink name.
    `javax.xml.namespace.QName` | `partnerLinkType` The type of this partnerLink.
    `java.lang.String` | `partnerRoleName`
    `javax.wsdl.PortType` | `partnerRolePortType`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OPartnerLink(OProcess owner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCorrelationSetForOperation(javax.wsdl.Operation operation, OScope.CorrelationSet cset, boolean isJoin)` Add a `OScope.CorrelationSet` to an `Operation`'s list of "non-initiating" correlation sets.
    `void` | `addCreateInstanceOperation(javax.wsdl.Operation operation)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<OScope.CorrelationSet>` | `getJoinningCorrelationSetsForOperation(javax.wsdl.Operation operation)` Get all joining correlation sets that are ever used to qualify a receive for a the given operation.
    `javax.wsdl.Operation` | `getMyRoleOperation(java.lang.String name)`
    `java.lang.String` | `getName()`
    `java.util.Set<OScope.CorrelationSet>` | `getNonInitiatingCorrelationSetsForOperation(javax.wsdl.Operation operation)` Get all non-initiating correlation sets that are ever used to qualify a receive for a the given operation.
    `javax.wsdl.Operation` | `getPartnerRoleOperation(java.lang.String name)`
    `int` | `hashCode()`
    `boolean` | `hasMyRole()`
    `boolean` | `hasPartnerRole()`
    `boolean` | `isCreateInstanceOperation(javax.wsdl.Operation op)`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, getId, getOwner, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      partnerLink name.

    - #### declaringScope

          public OScope declaringScope

      Scope in which this partnerLink is declared.

    - #### partnerLinkType

          public javax.xml.namespace.QName partnerLinkType

      The type of this partnerLink.

    - #### partnerRoleName

          public java.lang.String partnerRoleName

    - #### myRoleName

          public java.lang.String myRoleName

    - #### myRolePortType

          public javax.wsdl.PortType myRolePortType

    - #### partnerRolePortType

          public javax.wsdl.PortType partnerRolePortType

    - #### initializePartnerRole

          public boolean initializePartnerRole

  - ### Constructor Detail

    - #### OPartnerLink

          public OPartnerLink(OProcess owner)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### hasMyRole

          public boolean hasMyRole()

    - #### hasPartnerRole

          public boolean hasPartnerRole()

    - #### isCreateInstanceOperation

          public boolean isCreateInstanceOperation(javax.wsdl.Operation op)

    - #### addCreateInstanceOperation

          public void addCreateInstanceOperation(javax.wsdl.Operation operation)

    - #### addCorrelationSetForOperation

          public void addCorrelationSetForOperation(javax.wsdl.Operation operation,
                                                    OScope.CorrelationSet cset,
                                                    boolean isJoin)

      Add a `OScope.CorrelationSet` to an `Operation`'s list of "non-initiating" correlation sets. The non-initiating correlation sets are those sets that are used (along with the operation) to "match" incoming messages. We need to know which correlation sets are used with which operation in order to pre-compute correlation keys at the time of message receipt.
      Parameters:
        `operation` - WSDL `Operation`
        `cset` - non-initiating correlation used in this operation

    - #### getNonInitiatingCorrelationSetsForOperation

          public java.util.Set<OScope.CorrelationSet> getNonInitiatingCorrelationSetsForOperation(javax.wsdl.Operation operation)

      Get all non-initiating correlation sets that are ever used to qualify a receive for a the given operation.
      Parameters:
        `operation` - the operation
      Returns:
        all non-initiating correlation sets used in the given operation

    - #### getJoinningCorrelationSetsForOperation

          public java.util.Set<OScope.CorrelationSet> getJoinningCorrelationSetsForOperation(javax.wsdl.Operation operation)

      Get all joining correlation sets that are ever used to qualify a receive for a the given operation.
      Parameters:
        `operation` - the operation
      Returns:
        all non-initiating correlation sets used in the given operation

    - #### getMyRoleOperation

          public javax.wsdl.Operation getMyRoleOperation(java.lang.String name)

    - #### getPartnerRoleOperation

          public javax.wsdl.Operation getPartnerRoleOperation(java.lang.String name)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `OBase`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `OBase`